Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.criteria
Class CriteriaTools

    java.lang.Object
      org.hibernate.envers.query.criteria.CriteriaTools

    public class CriteriaTools

extends Object

Method Summary
`static void` | `checkPropertyNotARelation(AuditConfiguration verCfg, String entityName, String propertyName)`
`static RelationDescription` | `getRelatedEntity(AuditConfiguration verCfg, String entityName, String propertyName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### checkPropertyNotARelation

    public static void checkPropertyNotARelation(AuditConfiguration verCfg,
                                                 String entityName,
                                                 String propertyName)
                                          throws AuditException

  Throws:
    `AuditException`

### getRelatedEntity

    public static RelationDescription getRelatedEntity(AuditConfiguration verCfg,
                                                       String entityName,
                                                       String propertyName)
                                                throws AuditException

  Throws:
    `AuditException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.